> This page is for Data API, version v2 (default).
> For other versions, use one of these documentation indexes:
> - v2 (default): https://developers.webflow.com/data/v2.0.0/llms.txt
> - v2 Beta: https://developers.webflow.com/data/v2.0.0-beta/llms.txt
> - v1: https://developers.webflow.com/data/v1.0.0/llms.txt

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://developers.webflow.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developers.webflow.com/_mcp/server.

# Get Product and SKUs

GET https://api.webflow.com/v2/sites/{site_id}/products/{product_id}

Retrieve a single product by its ID. All of its SKUs will also be
retrieved.

Required scope | `ecommerce:read`


Reference: https://developers.webflow.com/data/reference/ecommerce/products/get

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Request

### Path parameters

- `site_id` (string, required) — Unique identifier for a Site
- `product_id` (string, required) — Unique identifier for a Product

## Response

### 200

Request was successful

- `product` (SitesSiteIdProductsProductIdGetResponsesContentApplicationJsonSchemaProduct, optional) — The Product object
- `skus` (list of SitesSiteIdProductsProductIdGetResponsesContentApplicationJsonSchemaSkusItems, optional) — A list of SKU Objects

## Errors

### 400 Bad Request Error

Request body was incorrectly formatted.

- `code` (enum, optional) — Error code
  - Allowed values: `aeo_input_validation`, `analyze_filter_conflict`, `analyze_input_validation`, `analyze_unsupported_filter`, `bad_request`, `batch_too_large`, `before_historical_floor`, `billing_provider_unavailable`, `branch_merge_conflict`, `branch_merge_in_progress`, `branch_not_found`, `branch_publish_failed`, `branch_sync_pending`, `branch_task_not_found`, `branch_update_in_progress`, `brand_not_configured`, `cannot_invite_self`, `cannot_remove_self`, `cannot_update_user_role`, `client_seats_unavailable`, `collection_not_found`, `competitors_not_configured`, `conflict`, `conflicting_scope_filters`, `default_site_role_required`, `duplicate_collection`, `duplicate_member_in_request`, `duplicate_site_in_request`, `duplicate_user_email`, `ecommerce_not_enabled`, `end_time_too_recent`, `enterprise_provisioning_upstream_error`, `enterprise_self_provisioning_not_entitled`, `forbidden`, `forms_require_republish`, `incompatible_webhook_filter`, `insufficient_permissions`, `insufficient_seats`, `internal_error`, `invalid_auth_version`, `invalid_credentials`, `invalid_domain`, `invalid_resolution`, `invalid_site_role`, `invalid_time_range`, `invalid_user_email`, `invalid_workspace_role`, `invite_expired`, `invite_role_conflict`, `item_not_found`, `managed_by_scim`, `member_already_has_access`, `member_has_no_site_access`, `member_is_paying_client`, `member_not_found`, `member_not_removable`, `member_role_conflict`, `missing_scopes`, `no_domains`, `no_members_or_invites`, `not_authorized`, `not_enterprise_plan_site`, `not_enterprise_plan_workspace`, `optimize_before_historical_floor`, `optimize_input_validation`, `optimize_invalid_interval`, `optimize_unknown_dimension`, `optimize_unknown_goal`, `optimize_unknown_optimization`, `optimize_unsupported_group_by`, `order_not_found`, `page_cannot_branch`, `resource_not_found`, `service_unavailable`, `site_access_not_applicable_to_member`, `site_access_not_scopable_for_role`, `site_access_roles_must_match`, `site_not_in_workspace`, `site_role_id_invalid`, `site_role_id_not_allowed`, `site_role_id_required`, `site_specific_access_disabled`, `site_specific_access_not_entitled`, `time_range_too_wide`, `too_many_requests`, `unsupported_bot_provider`, `unsupported_version`, `unsupported_webhook_trigger_type`, `user_limit_reached`, `user_not_found`, `users_not_enabled`, `validation_error`, `workspace_invite_not_found`, `workspace_member_managed_by_scim`, `workspace_member_not_found`, `workspace_member_not_removable`, `workspace_role_not_grantable`
- `message` (string, optional) — Error message
- `externalReference` (string, optional) — Link to more information
- `details` (list of SitesSiteIdProductsProductIdGetResponsesContentApplicationJsonSchemaDetailsItems, optional) — Array of errors

### 401 Unauthorized Error

Provided access token is invalid or does not have access to requested resource

- `code` (enum, optional) — Error code
  - Allowed values: `aeo_input_validation`, `analyze_filter_conflict`, `analyze_input_validation`, `analyze_unsupported_filter`, `bad_request`, `batch_too_large`, `before_historical_floor`, `billing_provider_unavailable`, `branch_merge_conflict`, `branch_merge_in_progress`, `branch_not_found`, `branch_publish_failed`, `branch_sync_pending`, `branch_task_not_found`, `branch_update_in_progress`, `brand_not_configured`, `cannot_invite_self`, `cannot_remove_self`, `cannot_update_user_role`, `client_seats_unavailable`, `collection_not_found`, `competitors_not_configured`, `conflict`, `conflicting_scope_filters`, `default_site_role_required`, `duplicate_collection`, `duplicate_member_in_request`, `duplicate_site_in_request`, `duplicate_user_email`, `ecommerce_not_enabled`, `end_time_too_recent`, `enterprise_provisioning_upstream_error`, `enterprise_self_provisioning_not_entitled`, `forbidden`, `forms_require_republish`, `incompatible_webhook_filter`, `insufficient_permissions`, `insufficient_seats`, `internal_error`, `invalid_auth_version`, `invalid_credentials`, `invalid_domain`, `invalid_resolution`, `invalid_site_role`, `invalid_time_range`, `invalid_user_email`, `invalid_workspace_role`, `invite_expired`, `invite_role_conflict`, `item_not_found`, `managed_by_scim`, `member_already_has_access`, `member_has_no_site_access`, `member_is_paying_client`, `member_not_found`, `member_not_removable`, `member_role_conflict`, `missing_scopes`, `no_domains`, `no_members_or_invites`, `not_authorized`, `not_enterprise_plan_site`, `not_enterprise_plan_workspace`, `optimize_before_historical_floor`, `optimize_input_validation`, `optimize_invalid_interval`, `optimize_unknown_dimension`, `optimize_unknown_goal`, `optimize_unknown_optimization`, `optimize_unsupported_group_by`, `order_not_found`, `page_cannot_branch`, `resource_not_found`, `service_unavailable`, `site_access_not_applicable_to_member`, `site_access_not_scopable_for_role`, `site_access_roles_must_match`, `site_not_in_workspace`, `site_role_id_invalid`, `site_role_id_not_allowed`, `site_role_id_required`, `site_specific_access_disabled`, `site_specific_access_not_entitled`, `time_range_too_wide`, `too_many_requests`, `unsupported_bot_provider`, `unsupported_version`, `unsupported_webhook_trigger_type`, `user_limit_reached`, `user_not_found`, `users_not_enabled`, `validation_error`, `workspace_invite_not_found`, `workspace_member_managed_by_scim`, `workspace_member_not_found`, `workspace_member_not_removable`, `workspace_role_not_grantable`
- `message` (string, optional) — Error message
- `externalReference` (string, optional) — Link to more information
- `details` (list of SitesSiteIdProductsProductIdGetResponsesContentApplicationJsonSchemaDetailsItems, optional) — Array of errors

### 403 Forbidden Error

Provided access token is valid, but is missing the required scopes.

- `code` (enum, optional) — Error code
  - Allowed values: `aeo_input_validation`, `analyze_filter_conflict`, `analyze_input_validation`, `analyze_unsupported_filter`, `bad_request`, `batch_too_large`, `before_historical_floor`, `billing_provider_unavailable`, `branch_merge_conflict`, `branch_merge_in_progress`, `branch_not_found`, `branch_publish_failed`, `branch_sync_pending`, `branch_task_not_found`, `branch_update_in_progress`, `brand_not_configured`, `cannot_invite_self`, `cannot_remove_self`, `cannot_update_user_role`, `client_seats_unavailable`, `collection_not_found`, `competitors_not_configured`, `conflict`, `conflicting_scope_filters`, `default_site_role_required`, `duplicate_collection`, `duplicate_member_in_request`, `duplicate_site_in_request`, `duplicate_user_email`, `ecommerce_not_enabled`, `end_time_too_recent`, `enterprise_provisioning_upstream_error`, `enterprise_self_provisioning_not_entitled`, `forbidden`, `forms_require_republish`, `incompatible_webhook_filter`, `insufficient_permissions`, `insufficient_seats`, `internal_error`, `invalid_auth_version`, `invalid_credentials`, `invalid_domain`, `invalid_resolution`, `invalid_site_role`, `invalid_time_range`, `invalid_user_email`, `invalid_workspace_role`, `invite_expired`, `invite_role_conflict`, `item_not_found`, `managed_by_scim`, `member_already_has_access`, `member_has_no_site_access`, `member_is_paying_client`, `member_not_found`, `member_not_removable`, `member_role_conflict`, `missing_scopes`, `no_domains`, `no_members_or_invites`, `not_authorized`, `not_enterprise_plan_site`, `not_enterprise_plan_workspace`, `optimize_before_historical_floor`, `optimize_input_validation`, `optimize_invalid_interval`, `optimize_unknown_dimension`, `optimize_unknown_goal`, `optimize_unknown_optimization`, `optimize_unsupported_group_by`, `order_not_found`, `page_cannot_branch`, `resource_not_found`, `service_unavailable`, `site_access_not_applicable_to_member`, `site_access_not_scopable_for_role`, `site_access_roles_must_match`, `site_not_in_workspace`, `site_role_id_invalid`, `site_role_id_not_allowed`, `site_role_id_required`, `site_specific_access_disabled`, `site_specific_access_not_entitled`, `time_range_too_wide`, `too_many_requests`, `unsupported_bot_provider`, `unsupported_version`, `unsupported_webhook_trigger_type`, `user_limit_reached`, `user_not_found`, `users_not_enabled`, `validation_error`, `workspace_invite_not_found`, `workspace_member_managed_by_scim`, `workspace_member_not_found`, `workspace_member_not_removable`, `workspace_role_not_grantable`
- `message` (string, optional) — Error message
- `externalReference` (string, optional) — Link to more information
- `details` (list of SitesSiteIdProductsProductIdGetResponsesContentApplicationJsonSchemaDetailsItems, optional) — Array of errors

### 404 Not Found Error

Requested resource not found

- `code` (enum, optional) — Error code
  - Allowed values: `aeo_input_validation`, `analyze_filter_conflict`, `analyze_input_validation`, `analyze_unsupported_filter`, `bad_request`, `batch_too_large`, `before_historical_floor`, `billing_provider_unavailable`, `branch_merge_conflict`, `branch_merge_in_progress`, `branch_not_found`, `branch_publish_failed`, `branch_sync_pending`, `branch_task_not_found`, `branch_update_in_progress`, `brand_not_configured`, `cannot_invite_self`, `cannot_remove_self`, `cannot_update_user_role`, `client_seats_unavailable`, `collection_not_found`, `competitors_not_configured`, `conflict`, `conflicting_scope_filters`, `default_site_role_required`, `duplicate_collection`, `duplicate_member_in_request`, `duplicate_site_in_request`, `duplicate_user_email`, `ecommerce_not_enabled`, `end_time_too_recent`, `enterprise_provisioning_upstream_error`, `enterprise_self_provisioning_not_entitled`, `forbidden`, `forms_require_republish`, `incompatible_webhook_filter`, `insufficient_permissions`, `insufficient_seats`, `internal_error`, `invalid_auth_version`, `invalid_credentials`, `invalid_domain`, `invalid_resolution`, `invalid_site_role`, `invalid_time_range`, `invalid_user_email`, `invalid_workspace_role`, `invite_expired`, `invite_role_conflict`, `item_not_found`, `managed_by_scim`, `member_already_has_access`, `member_has_no_site_access`, `member_is_paying_client`, `member_not_found`, `member_not_removable`, `member_role_conflict`, `missing_scopes`, `no_domains`, `no_members_or_invites`, `not_authorized`, `not_enterprise_plan_site`, `not_enterprise_plan_workspace`, `optimize_before_historical_floor`, `optimize_input_validation`, `optimize_invalid_interval`, `optimize_unknown_dimension`, `optimize_unknown_goal`, `optimize_unknown_optimization`, `optimize_unsupported_group_by`, `order_not_found`, `page_cannot_branch`, `resource_not_found`, `service_unavailable`, `site_access_not_applicable_to_member`, `site_access_not_scopable_for_role`, `site_access_roles_must_match`, `site_not_in_workspace`, `site_role_id_invalid`, `site_role_id_not_allowed`, `site_role_id_required`, `site_specific_access_disabled`, `site_specific_access_not_entitled`, `time_range_too_wide`, `too_many_requests`, `unsupported_bot_provider`, `unsupported_version`, `unsupported_webhook_trigger_type`, `user_limit_reached`, `user_not_found`, `users_not_enabled`, `validation_error`, `workspace_invite_not_found`, `workspace_member_managed_by_scim`, `workspace_member_not_found`, `workspace_member_not_removable`, `workspace_role_not_grantable`
- `message` (string, optional) — Error message
- `externalReference` (string, optional) — Link to more information
- `details` (list of SitesSiteIdProductsProductIdGetResponsesContentApplicationJsonSchemaDetailsItems, optional) — Array of errors

### 409 Conflict Error

The site does not have ecommerce enabled.

- `code` (enum, optional) — Error code
  - Allowed values: `aeo_input_validation`, `analyze_filter_conflict`, `analyze_input_validation`, `analyze_unsupported_filter`, `bad_request`, `batch_too_large`, `before_historical_floor`, `billing_provider_unavailable`, `branch_merge_conflict`, `branch_merge_in_progress`, `branch_not_found`, `branch_publish_failed`, `branch_sync_pending`, `branch_task_not_found`, `branch_update_in_progress`, `brand_not_configured`, `cannot_invite_self`, `cannot_remove_self`, `cannot_update_user_role`, `client_seats_unavailable`, `collection_not_found`, `competitors_not_configured`, `conflict`, `conflicting_scope_filters`, `default_site_role_required`, `duplicate_collection`, `duplicate_member_in_request`, `duplicate_site_in_request`, `duplicate_user_email`, `ecommerce_not_enabled`, `end_time_too_recent`, `enterprise_provisioning_upstream_error`, `enterprise_self_provisioning_not_entitled`, `forbidden`, `forms_require_republish`, `incompatible_webhook_filter`, `insufficient_permissions`, `insufficient_seats`, `internal_error`, `invalid_auth_version`, `invalid_credentials`, `invalid_domain`, `invalid_resolution`, `invalid_site_role`, `invalid_time_range`, `invalid_user_email`, `invalid_workspace_role`, `invite_expired`, `invite_role_conflict`, `item_not_found`, `managed_by_scim`, `member_already_has_access`, `member_has_no_site_access`, `member_is_paying_client`, `member_not_found`, `member_not_removable`, `member_role_conflict`, `missing_scopes`, `no_domains`, `no_members_or_invites`, `not_authorized`, `not_enterprise_plan_site`, `not_enterprise_plan_workspace`, `optimize_before_historical_floor`, `optimize_input_validation`, `optimize_invalid_interval`, `optimize_unknown_dimension`, `optimize_unknown_goal`, `optimize_unknown_optimization`, `optimize_unsupported_group_by`, `order_not_found`, `page_cannot_branch`, `resource_not_found`, `service_unavailable`, `site_access_not_applicable_to_member`, `site_access_not_scopable_for_role`, `site_access_roles_must_match`, `site_not_in_workspace`, `site_role_id_invalid`, `site_role_id_not_allowed`, `site_role_id_required`, `site_specific_access_disabled`, `site_specific_access_not_entitled`, `time_range_too_wide`, `too_many_requests`, `unsupported_bot_provider`, `unsupported_version`, `unsupported_webhook_trigger_type`, `user_limit_reached`, `user_not_found`, `users_not_enabled`, `validation_error`, `workspace_invite_not_found`, `workspace_member_managed_by_scim`, `workspace_member_not_found`, `workspace_member_not_removable`, `workspace_role_not_grantable`
- `message` (string, optional) — Error message
- `externalReference` (string, optional) — Link to more information
- `details` (list of SitesSiteIdProductsProductIdGetResponsesContentApplicationJsonSchemaDetailsItems, optional) — Array of errors

### 429 Too Many Requests Error

The rate limit of the provided access_token has been reached. Please have your application respect the X-RateLimit-Remaining header we include on API responses.

- `code` (enum, optional) — Error code
  - Allowed values: `aeo_input_validation`, `analyze_filter_conflict`, `analyze_input_validation`, `analyze_unsupported_filter`, `bad_request`, `batch_too_large`, `before_historical_floor`, `billing_provider_unavailable`, `branch_merge_conflict`, `branch_merge_in_progress`, `branch_not_found`, `branch_publish_failed`, `branch_sync_pending`, `branch_task_not_found`, `branch_update_in_progress`, `brand_not_configured`, `cannot_invite_self`, `cannot_remove_self`, `cannot_update_user_role`, `client_seats_unavailable`, `collection_not_found`, `competitors_not_configured`, `conflict`, `conflicting_scope_filters`, `default_site_role_required`, `duplicate_collection`, `duplicate_member_in_request`, `duplicate_site_in_request`, `duplicate_user_email`, `ecommerce_not_enabled`, `end_time_too_recent`, `enterprise_provisioning_upstream_error`, `enterprise_self_provisioning_not_entitled`, `forbidden`, `forms_require_republish`, `incompatible_webhook_filter`, `insufficient_permissions`, `insufficient_seats`, `internal_error`, `invalid_auth_version`, `invalid_credentials`, `invalid_domain`, `invalid_resolution`, `invalid_site_role`, `invalid_time_range`, `invalid_user_email`, `invalid_workspace_role`, `invite_expired`, `invite_role_conflict`, `item_not_found`, `managed_by_scim`, `member_already_has_access`, `member_has_no_site_access`, `member_is_paying_client`, `member_not_found`, `member_not_removable`, `member_role_conflict`, `missing_scopes`, `no_domains`, `no_members_or_invites`, `not_authorized`, `not_enterprise_plan_site`, `not_enterprise_plan_workspace`, `optimize_before_historical_floor`, `optimize_input_validation`, `optimize_invalid_interval`, `optimize_unknown_dimension`, `optimize_unknown_goal`, `optimize_unknown_optimization`, `optimize_unsupported_group_by`, `order_not_found`, `page_cannot_branch`, `resource_not_found`, `service_unavailable`, `site_access_not_applicable_to_member`, `site_access_not_scopable_for_role`, `site_access_roles_must_match`, `site_not_in_workspace`, `site_role_id_invalid`, `site_role_id_not_allowed`, `site_role_id_required`, `site_specific_access_disabled`, `site_specific_access_not_entitled`, `time_range_too_wide`, `too_many_requests`, `unsupported_bot_provider`, `unsupported_version`, `unsupported_webhook_trigger_type`, `user_limit_reached`, `user_not_found`, `users_not_enabled`, `validation_error`, `workspace_invite_not_found`, `workspace_member_managed_by_scim`, `workspace_member_not_found`, `workspace_member_not_removable`, `workspace_role_not_grantable`
- `message` (string, optional) — Error message
- `externalReference` (string, optional) — Link to more information
- `details` (list of SitesSiteIdProductsProductIdGetResponsesContentApplicationJsonSchemaDetailsItems, optional) — Array of errors

### 500 Internal Server Error

We had a problem with our server. Try again later.

- `code` (enum, optional) — Error code
  - Allowed values: `aeo_input_validation`, `analyze_filter_conflict`, `analyze_input_validation`, `analyze_unsupported_filter`, `bad_request`, `batch_too_large`, `before_historical_floor`, `billing_provider_unavailable`, `branch_merge_conflict`, `branch_merge_in_progress`, `branch_not_found`, `branch_publish_failed`, `branch_sync_pending`, `branch_task_not_found`, `branch_update_in_progress`, `brand_not_configured`, `cannot_invite_self`, `cannot_remove_self`, `cannot_update_user_role`, `client_seats_unavailable`, `collection_not_found`, `competitors_not_configured`, `conflict`, `conflicting_scope_filters`, `default_site_role_required`, `duplicate_collection`, `duplicate_member_in_request`, `duplicate_site_in_request`, `duplicate_user_email`, `ecommerce_not_enabled`, `end_time_too_recent`, `enterprise_provisioning_upstream_error`, `enterprise_self_provisioning_not_entitled`, `forbidden`, `forms_require_republish`, `incompatible_webhook_filter`, `insufficient_permissions`, `insufficient_seats`, `internal_error`, `invalid_auth_version`, `invalid_credentials`, `invalid_domain`, `invalid_resolution`, `invalid_site_role`, `invalid_time_range`, `invalid_user_email`, `invalid_workspace_role`, `invite_expired`, `invite_role_conflict`, `item_not_found`, `managed_by_scim`, `member_already_has_access`, `member_has_no_site_access`, `member_is_paying_client`, `member_not_found`, `member_not_removable`, `member_role_conflict`, `missing_scopes`, `no_domains`, `no_members_or_invites`, `not_authorized`, `not_enterprise_plan_site`, `not_enterprise_plan_workspace`, `optimize_before_historical_floor`, `optimize_input_validation`, `optimize_invalid_interval`, `optimize_unknown_dimension`, `optimize_unknown_goal`, `optimize_unknown_optimization`, `optimize_unsupported_group_by`, `order_not_found`, `page_cannot_branch`, `resource_not_found`, `service_unavailable`, `site_access_not_applicable_to_member`, `site_access_not_scopable_for_role`, `site_access_roles_must_match`, `site_not_in_workspace`, `site_role_id_invalid`, `site_role_id_not_allowed`, `site_role_id_required`, `site_specific_access_disabled`, `site_specific_access_not_entitled`, `time_range_too_wide`, `too_many_requests`, `unsupported_bot_provider`, `unsupported_version`, `unsupported_webhook_trigger_type`, `user_limit_reached`, `user_not_found`, `users_not_enabled`, `validation_error`, `workspace_invite_not_found`, `workspace_member_managed_by_scim`, `workspace_member_not_found`, `workspace_member_not_removable`, `workspace_role_not_grantable`
- `message` (string, optional) — Error message
- `externalReference` (string, optional) — Link to more information
- `details` (list of SitesSiteIdProductsProductIdGetResponsesContentApplicationJsonSchemaDetailsItems, optional) — Array of errors

## Types

### SitesSiteIdProductsProductIdGetResponsesContentApplicationJsonSchemaProduct

The Product object

- `id` (string, optional) — Unique identifier for the Product
- `cmsLocaleId` (string, optional) — Identifier for the locale of the CMS item
- `lastPublished` (string, optional) — The date the Product was last published
- `lastUpdated` (string, optional) — The date the Product was last updated
- `createdOn` (string, optional) — The date the Product was created
- `isArchived` (boolean, optional, default: false) — Boolean determining if the Product is set to archived
- `isDraft` (boolean, optional, default: false) — Boolean determining if the Product is set to draft
- `fieldData` (SitesSiteIdProductsProductIdGetResponsesContentApplicationJsonSchemaProductFieldData, optional) — Contains content-specific details for a product, covering both standard (e.g., title, description) and custom fields tailored to the product setup.

### SitesSiteIdProductsProductIdGetResponsesContentApplicationJsonSchemaSkusItems

The SKU object

- `id` (string, optional) — Unique identifier for the Product
- `cmsLocaleId` (string, optional) — Identifier for the locale of the CMS item
- `lastPublished` (string, optional) — The date the Product was last published
- `lastUpdated` (string, optional) — The date the Product was last updated
- `createdOn` (string, optional) — The date the Product was created
- `fieldData` (SitesSiteIdProductsProductIdGetResponsesContentApplicationJsonSchemaSkusItemsFieldData, optional) — Standard and Custom fields for a SKU

### SitesSiteIdProductsProductIdGetResponsesContentApplicationJsonSchemaDetailsItems

### SitesSiteIdProductsProductIdGetResponsesContentApplicationJsonSchemaProductFieldData

Contains content-specific details for a product, covering both standard (e.g., title, description) and custom fields tailored to the product setup.

- `name` (string, optional) — Name of the Product
- `slug` (string, optional) — URL structure of the Product in your site.
- `description` (string, optional) — A description of your product
- `shippable` (boolean, optional) — Boolean determining if the Product is shippable
- `sku-properties` (list of SitesSiteIdProductsProductIdGetResponsesContentApplicationJsonSchemaProductFieldDataSkuPropertiesItems, optional) — Variant types to include in SKUs
- `category` (list of string, optional) — The category your product belongs to.
- `tax-category` (enum, optional) — Product tax class
  - Allowed values: `standard-taxable`, `standard-exempt`, `books-religious`, `books-textbook`, `clothing`, `clothing-swimwear`, `digital-goods`, `digital-service`, `drugs-non-prescription`, `drugs-prescription`, `food-bottled-water`, `food-candy`, `food-groceries`, `food-prepared`, `food-soda`, `food-supplements`, `magazine-individual`, `magazine-subscription`, `service-admission`, `service-advertising`, `service-dry-cleaning`, `service-hairdressing`, `service-installation`, `service-miscellaneous`, `service-parking`, `service-printing`, `service-professional`, `service-repair`, `service-training`
- `default-sku` (string, optional) — The default SKU associated with this product.
- `ec-product-type` (enum, optional) — Product types. Enums reflect the following values in order: Physical, Digital, Service, Advanced"
  - Allowed values: `ff42fee0113744f693a764e3431a9cc2`, `f22027db68002190aef89a4a2b7ac8a1`, `c599e43b1a1c34d5a323aedf75d3adf6`, `b6ccc1830db4b1babeb06a9ac5f6dd76`

### SitesSiteIdProductsProductIdGetResponsesContentApplicationJsonSchemaSkusItemsFieldData

Standard and Custom fields for a SKU

- `name` (string, required) — Name of the Product
- `slug` (string, required) — URL structure of the Product in your site.
- `price` (SitesSiteIdProductsProductIdGetResponsesContentApplicationJsonSchemaSkusItemsFieldDataPrice, required) — price of SKU
- `sku-values` (map from string to string, optional) — A mapping between SKU properties and their values, represented as key-value pairs. Each key represents a SKU Property ID (e.g. "color") and maps to its corresponding SKU Value ID (e.g. "blue"). This structure defines the specific variant combination for a SKU.
- `compare-at-price` (SitesSiteIdProductsProductIdGetResponsesContentApplicationJsonSchemaSkusItemsFieldDataCompareAtPrice, optional) — comparison price of SKU
- `ec-sku-billing-method` (enum, optional) — [Billing method](https://help.webflow.com/hc/en-us/articles/33961432087955-Add-and-manage-products-and-categories#billing-methods)for the SKU
  - Allowed values: `one-time`, `subscription`
- `ec-sku-subscription-plan` (SitesSiteIdProductsProductIdGetResponsesContentApplicationJsonSchemaSkusItemsFieldDataEcSkuSubscriptionPlan, optional) — [Subscription plan](https://help.webflow.com/hc/en-us/articles/33961432087955-Add-and-manage-products-and-categories#subscription) for the SKU
- `main-image` (string, optional) — The URL for the main image of the SKU
- `sku` (string, optional) — A unique identifier for the SKU
- `sku-properties` (list of SitesSiteIdProductsProductIdGetResponsesContentApplicationJsonSchemaSkusItemsFieldDataSkuPropertiesItems, optional) — The properties of the SKU

### SitesSiteIdProductsProductIdGetResponsesContentApplicationJsonSchemaProductFieldDataSkuPropertiesItems

A variant/option type for a SKU

- `id` (string, required) — Unique identifier for a collection of Product Variants
- `name` (string, required) — Name of the collection of Product Variants
- `enum` (list of SitesSiteIdProductsProductIdGetResponsesContentApplicationJsonSchemaProductFieldDataSkuPropertiesItemsEnumItems, required) — The individual Product variants that are contained within the collection

### SitesSiteIdProductsProductIdGetResponsesContentApplicationJsonSchemaSkusItemsFieldDataPrice

price of SKU

- `value` (double, optional) — Price of SKU
- `unit` (string, optional) — Currency of Item
- `currency` (string, optional) — Currency of Item (alternative representation)

### SitesSiteIdProductsProductIdGetResponsesContentApplicationJsonSchemaSkusItemsFieldDataCompareAtPrice

comparison price of SKU

- `value` (double, optional) — Price of SKU
- `unit` (string, optional) — Currency of Item

### SitesSiteIdProductsProductIdGetResponsesContentApplicationJsonSchemaSkusItemsFieldDataEcSkuSubscriptionPlan

[Subscription plan](https://help.webflow.com/hc/en-us/articles/33961432087955-Add-and-manage-products-and-categories#subscription) for the SKU

- `interval` (enum, optional) — Interval of subscription renewal
  - Allowed values: `day`, `week`, `month`, `year`
- `frequency` (double, optional) — Frequncy of billing within interval
- `trial` (double, optional) — Number of days of a trial
- `plans` (list of SitesSiteIdProductsProductIdGetResponsesContentApplicationJsonSchemaSkusItemsFieldDataEcSkuSubscriptionPlanPlansItems, optional)

### SitesSiteIdProductsProductIdGetResponsesContentApplicationJsonSchemaSkusItemsFieldDataSkuPropertiesItems

A variant/option type for a SKU

- `id` (string, required) — Unique identifier for a collection of Product Variants
- `name` (string, required) — Name of the collection of Product Variants
- `enum` (list of SitesSiteIdProductsProductIdGetResponsesContentApplicationJsonSchemaSkusItemsFieldDataSkuPropertiesItemsEnumItems, required) — The individual Product variants that are contained within the collection

### SitesSiteIdProductsProductIdGetResponsesContentApplicationJsonSchemaProductFieldDataSkuPropertiesItemsEnumItems

Enumerated Product variants/Options for the SKU

- `id` (string, required) — Unique identifier for a Product variant/Option
- `name` (string, required) — Name of the Product variant/Option
- `slug` (string, required) — Slug for the Product variant/Option in the Site URL structure

### SitesSiteIdProductsProductIdGetResponsesContentApplicationJsonSchemaSkusItemsFieldDataEcSkuSubscriptionPlanPlansItems

- `platform` (enum, optional) — The platform of the subscription plan
  - Allowed values: `stripe`
- `id` (string, optional) — The unique identifier of the plan
- `status` (enum, optional) — The status of the plan
  - Allowed values: `active`, `inactive`, `canceled`

### SitesSiteIdProductsProductIdGetResponsesContentApplicationJsonSchemaSkusItemsFieldDataSkuPropertiesItemsEnumItems

Enumerated Product variants/Options for the SKU

- `id` (string, required) — Unique identifier for a Product variant/Option
- `name` (string, required) — Name of the Product variant/Option
- `slug` (string, required) — Slug for the Product variant/Option in the Site URL structure

## Examples

**Response**

```json
{
  "product": {
    "id": "660eb7a486d1d6e0412292d7",
    "cmsLocaleId": "653ad57de882f528b32e810e",
    "lastPublished": "2024-04-04T14:24:19.467Z",
    "lastUpdated": "2024-04-04T14:30:19.282Z",
    "createdOn": "2024-04-04T14:22:28.547Z",
    "isArchived": false,
    "isDraft": false,
    "fieldData": {
      "name": "T-Shirt",
      "slug": "t-shirt",
      "description": "A plain t-shirt",
      "shippable": true,
      "sku-properties": [
        {
          "id": "31b77fa66fa376c2c0abb458d5be39fb",
          "name": "Size",
          "enum": [
            {
              "id": "8d21a625d655ab260e9941c27180c75b",
              "name": "Small",
              "slug": "small"
            },
            {
              "id": "ecdca17106ad86c0dfe3b5f3ac8be6c9",
              "name": "Medium",
              "slug": "medium"
            },
            {
              "id": "ec7877d6137ecf7ec86f726c135b1812",
              "name": "Large",
              "slug": "large"
            }
          ]
        },
        {
          "id": "74d3738e62c568d5634dd6989daec5ec",
          "name": "Color",
          "enum": [
            {
              "id": "e539b0d6c3a609cd06ddb2da804f68f0",
              "name": "Royal Blue",
              "slug": "royal-blue"
            },
            {
              "id": "68d98f2fbafc0fd45651cddc44798dd0",
              "name": "Crimson Red",
              "slug": "crimson-red"
            },
            {
              "id": "996cd95c97fd5620d0a374c835b37205",
              "name": "Forrest Green",
              "slug": "forrest-green"
            }
          ]
        }
      ],
      "tax-category": "standard-taxable",
      "default-sku": "66072fb71b89448912e2681c",
      "ec-product-type": "b6ccc1830db4b1babeb06a9ac5f6dd76"
    }
  },
  "skus": [
    {
      "id": "580e63fc8c9a982ac9b8b745",
      "cmsLocaleId": "653ad57de882f528b32e810e",
      "lastPublished": "2023-03-17T18:47:35.560Z",
      "lastUpdated": "2023-03-17T18:47:35.560Z",
      "createdOn": "2023-03-17T18:47:35.560Z",
      "fieldData": {
        "name": "Blue T-shirt",
        "slug": "t-shirt-blue",
        "price": {
          "value": 2499,
          "unit": "USD",
          "currency": "USD"
        },
        "sku-values": {
          "color": "blue",
          "size": "small"
        },
        "compare-at-price": {
          "value": 100,
          "unit": "USD"
        },
        "ec-sku-billing-method": "one-time",
        "ec-sku-subscription-plan": {
          "interval": "day",
          "frequency": 1,
          "trial": 7,
          "plans": [
            {
              "platform": "stripe",
              "id": "string",
              "status": "active"
            }
          ]
        },
        "main-image": "https://www.example.com/image.jpg",
        "sku": "1234567890",
        "sku-properties": [
          {
            "id": "Color",
            "name": "Color",
            "enum": [
              {
                "id": "royal-blue",
                "name": "Royal Blue",
                "slug": "royal-blue"
              }
            ]
          }
        ]
      }
    }
  ]
}
```

**SDK Code**

```python
import requests

url = "https://api.webflow.com/v2/sites/580e63e98c9a982ac9b8b741/products/580e63fc8c9a982ac9b8b745"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.webflow.com/v2/sites/580e63e98c9a982ac9b8b741/products/580e63fc8c9a982ac9b8b745';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.webflow.com/v2/sites/580e63e98c9a982ac9b8b741/products/580e63fc8c9a982ac9b8b745"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.webflow.com/v2/sites/580e63e98c9a982ac9b8b741/products/580e63fc8c9a982ac9b8b745")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.webflow.com/v2/sites/580e63e98c9a982ac9b8b741/products/580e63fc8c9a982ac9b8b745")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.webflow.com/v2/sites/580e63e98c9a982ac9b8b741/products/580e63fc8c9a982ac9b8b745', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.webflow.com/v2/sites/580e63e98c9a982ac9b8b741/products/580e63fc8c9a982ac9b8b745");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.webflow.com/v2/sites/580e63e98c9a982ac9b8b741/products/580e63fc8c9a982ac9b8b745")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```